/*
---------------------------------------------------------------------------
 $Revision: 1.1.2.1.4.1 $                                                                 
 $Date: 2013/07/23 12:16:09 $  

 NAME: cxa_ecv_prep_nonscheduled_run.sas

 TYPE: Stored process

 DESCRIPTION: 
      This is run whenever the user wants to make a non-standard ECV run – 
      e.g. a rerun from failure. After running this stored process, every-
      thing will be set up so that just running the ECV master job will 
      generate an ECV run meeting their requirements as specified in 
      running the stored process, and responding to the prompts.;
 
 SAS VERSION:
 9.3
                                                 
 INPUT:
  DEBUGON
       Type: Text
      Label: Switch on debugging
       Attr: Visible
    Default: N

  ENDTS
       Type: Numeric
      Label: Ending timestamp for special load
       Attr: Visible

  STARTTS
       Type: Numeric
      Label: Starting timestamp for special load
       Attr: Visible
 
 OUTPUT:
 
 CALLS:
      
 CALLED BY (optional):

 PRECONDITIONS (optional):

 POSTCONDITIONS (optional):

 HISTORY:
 userid yyyymmdd defectid desc    
 sinsuj 20130722 S0993615 Commented ods HTML section of the code
------------------------------------------------------------------------------
 Copyright (c) 2005-2012, SAS Institute Inc., Cary, NC, USA, All Rights Reserved 
------------------------------------------------------------------------------
*/

*ProcessBody;

%global DEBUGON ENDTS STARTTS calledFromStoredProcess;

%STPBEGIN;

OPTIONS VALIDVARNAME=ANY;
%macro ExtendValidMemName;
    %if %sysevalf(&sysver>=9.3) %then options validmemname=extend;
%mend ExtendValidMemName;
%ExtendValidMemName;

%let calledFromStoredProcess=YES;
%let cxa_ecvSimplifyLogs=N;

%cxa_ecvPreProcess(DONOTPROCESSRUNFILES)
data _null_;
    call symput('startTS',put(&startTS,datetime25.6));
run;
data _null_;
    call symput('endTS',put(&endTS,datetime25.6));
run;
%cxa_ecvPrepNonScheduledRun(startTS=&startTS ,endTS=&endTS ,debugOn=&debugOn);

/*
ods html;
data _null_;
    NOTE="Stored Process Complete";
    output;
    file print ods;
    put _ods_ ;
run;
ods html close;
*/

%STPEND;
